View Issue Details

IDProjectCategoryView StatusLast Update
0002187Industrial-Craft²machinespublic2017-05-22 01:55
ReporterJimmyZJXAssigned ToChocohead 
PrioritynormalSeveritymajorReproducibilitysometimes
Status resolvedResolutionfixed 
PlatformJava8OSWin10OS VersionBuild 1607
Product Version 
Target VersionFixed in VersionBuilds for MC 1.11.x 
Summary0002187: Advanced miner causes game crash
DescriptionMy advanced miner is powered by a carbon rotor, and when I am far away from that miner (>10 chunks, the server view), the game suddenly crashes. This kind of crash happened twice in a row (7min), and the crash report is attached.

Server Forge version: forge-1.11.2-13.20.0.2299
Client Forge version: forge-1.11.2-13.20.0.2294
TagsNo tags attached.
Minecraft Version1.11.2

Activities

JimmyZJX

2017-05-21 15:08

reporter  

crash-2017-05-21_22.47.27-server.txt (6,224 bytes)
---- Minecraft Crash Report ----

WARNING: coremods are present:
  IC2core (industrialcraft-2-2.7.39-ex111.jar)
Contact their authors BEFORE contacting forge

// Sorry :(

Time: 5/21/17 10:47 PM
Description: Ticking block entity

java.lang.UnsupportedOperationException
	at java.util.AbstractList.remove(Unknown Source)
	at net.minecraft.util.NonNullList.remove(SourceFile:59)
	at java.util.AbstractList$Itr.remove(Unknown Source)
	at ic2.core.util.StackUtil.distributeDrops(StackUtil.java:476)
	at ic2.core.block.machine.tileentity.TileEntityAdvMiner.doMine(TileEntityAdvMiner.java:184)
	at ic2.core.block.machine.tileentity.TileEntityAdvMiner.work(TileEntityAdvMiner.java:165)
	at ic2.core.block.machine.tileentity.TileEntityAdvMiner.updateEntityServer(TileEntityAdvMiner.java:106)
	at ic2.core.block.TileEntityBlock.func_73660_a(TileEntityBlock.java:312)
	at net.minecraft.world.World.func_72939_s(World.java:1802)
	at net.minecraft.world.WorldServer.func_72939_s(WorldServer.java:621)
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:720)
	at net.minecraft.server.dedicated.DedicatedServer.func_71190_q(DedicatedServer.java:384)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:624)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:482)
	at java.lang.Thread.run(Unknown Source)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Thread: Server thread
Stacktrace:
	at java.util.AbstractList.remove(Unknown Source)
	at net.minecraft.util.NonNullList.remove(SourceFile:59)
	at java.util.AbstractList$Itr.remove(Unknown Source)
	at ic2.core.util.StackUtil.distributeDrops(StackUtil.java:476)
	at ic2.core.block.machine.tileentity.TileEntityAdvMiner.doMine(TileEntityAdvMiner.java:184)
	at ic2.core.block.machine.tileentity.TileEntityAdvMiner.work(TileEntityAdvMiner.java:165)
	at ic2.core.block.machine.tileentity.TileEntityAdvMiner.updateEntityServer(TileEntityAdvMiner.java:106)
	at ic2.core.block.TileEntityBlock.func_73660_a(TileEntityBlock.java:312)

-- Block entity being ticked --
Details:
	Name: ic2:advanced_miner // ic2.core.block.machine.tileentity.TileEntityAdvMiner
	Block type: ID #489 (ic2.te // ic2.core.block.BlockTileEntity)
	Block data value: 0 / 0x0 / 0b0000
	Block location: World: (900,85,-400), Chunk: (at 4,5,0 in 56,-25; contains blocks 896,0,-400 to 911,255,-385), Region: (1,-1; contains chunks 32,-32 to 63,-1, blocks 512,0,-512 to 1023,255,-1)
	Actual block type: ID #489 (ic2.te // ic2.core.block.BlockTileEntity)
	Actual block data value: 0 / 0x0 / 0b0000
Stacktrace:
	at net.minecraft.world.World.func_72939_s(World.java:1802)
	at net.minecraft.world.WorldServer.func_72939_s(WorldServer.java:621)

-- Affected level --
Details:
	Level name: world
	All players: 2 total; [EntityPlayerMP['Jimmy'/634, l='world', x=906.04, y=93.22, z=-503.51], EntityPlayerMP['Gladys'/6818, l='world', x=986.75, y=49.00, z=-566.85]]
	Chunk stats: ServerChunkCache: 871 Drop: 0
	Level seed: 201201201201
	Level generator: ID 00 - default, ver 1. Features enabled: true
	Level generator options: 
	Level spawn location: World: (-212,64,256), Chunk: (at 12,4,0 in -14,16; contains blocks -224,0,256 to -209,255,271), Region: (-1,0; contains chunks -32,0 to -1,31, blocks -512,0,0 to -1,255,511)
	Level time: 3437265 game time, 3591687 day time
	Level dimension: 0
	Level storage version: 0x04ABD - Anvil
	Level weather: Rain time: 32093 (now: false), thunder time: 3278 (now: false)
	Level game mode: Game mode: survival (ID 0). Hardcore: false. Cheats: false
Stacktrace:
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:720)
	at net.minecraft.server.dedicated.DedicatedServer.func_71190_q(DedicatedServer.java:384)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:624)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:482)
	at java.lang.Thread.run(Unknown Source)

-- System Details --
Details:
	Minecraft Version: 1.11.2
	Operating System: Windows 10 (amd64) version 10.0
	Java Version: 1.8.0_111, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 2900611336 bytes (2766 MB) / 4080271360 bytes (3891 MB) up to 4080271360 bytes (3891 MB)
	JVM Flags: 11 total; -Xmn2G -Xms4G -Xmx4G -XX:+AggressiveOpts -XX:+UseFastAccessorMethods -XX:+OptimizeStringConcat -XX:+UseBiasedLocking -Xincgc -XX:MaxGCPauseMillis=10 -XX:SoftRefLRUPolicyMSPerMB=10000 -XX:ParallelGCThreads=10
	IntCache: cache: 0, tcache: 0, allocated: 12, tallocated: 94
	FML: MCP 9.38 Powered by Forge 13.20.0.2299 12 mods loaded, 12 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
	UCHIJAAAA	minecraft{1.11.2} [Minecraft] (minecraft.jar) 
	UCHIJAAAA	mcp{9.19} [Minecraft Coder Pack] (minecraft.jar) 
	UCHIJAAAA	FML{8.0.99.99} [Forge Mod Loader] (forge-1.11.2-13.20.0.2299-universal.jar) 
	UCHIJAAAA	forge{13.20.0.2299} [Minecraft Forge] (forge-1.11.2-13.20.0.2299-universal.jar) 
	UCHIJAAAA	baubles{1.4.4} [Baubles] (Baubles-1.11-1.4.4.jar) 
	UCHIJAAAA	botania{r1.9-342} [Botania] (Botania r1.9-342.jar) 
	UCHIJAAAA	chiselsandbits{13.10} [Chisels & Bits] (chiselsandbits-13.10.jar) 
	UCHIJAAAA	ic2{2.7.39-ex111} [IndustrialCraft 2] (industrialcraft-2-2.7.39-ex111.jar) 
	UCHIJAAAA	ironchest{1.11.2-7.0.18.800} [Iron Chest] (IronChest-1.11.2-Universal.jar) 
	UCHIJAAAA	mercurius_updater{1.0} [mercurius_updater] (MercuriusUpdater-1.11.2.jar) 
	UCHIJAAAA	psi{r1.1-56} [Psi] (Psi-r1.1-56-fix.jar) 
	UCHIJAAAA	autoreglib{GRADLE:VERSION-GRADLE:BUILD} [AutoRegLib] (Psi-r1.1-56-fix.jar) 
	Loaded coremods (and transformers): 
IC2core (industrialcraft-2-2.7.39-ex111.jar)
  
	Profiler Position: N/A (disabled)
	Player Count: 2 / 20; [EntityPlayerMP['Jimmy'/634, l='world', x=906.04, y=93.22, z=-503.51], EntityPlayerMP['Gladys'/6818, l='world', x=986.75, y=49.00, z=-566.85]]
	Is Modded: Definitely; Server brand changed to 'fml,forge'
	Type: Dedicated Server (map_server.txt)

Chocohead

2017-05-21 15:37

developer   ~0005253

Is that with or without silk touch being enabled?

Chocohead

2017-05-21 17:25

developer   ~0005254

It should behave with IC2 2.7.43

JimmyZJX

2017-05-22 01:53

reporter   ~0005256

I am using industrialcraft-2-2.7.39-ex111, with silk touch enabled.

JimmyZJX

2017-05-22 01:55

reporter   ~0005257

Thanks for the quick fix. I will try this version!

Issue History

Date Modified Username Field Change
2017-05-21 15:08 JimmyZJX New Issue
2017-05-21 15:08 JimmyZJX File Added: crash-2017-05-21_22.47.27-server.txt
2017-05-21 15:37 Chocohead Note Added: 0005253
2017-05-21 17:25 Chocohead Note Added: 0005254
2017-05-21 17:25 Chocohead Status new => resolved
2017-05-21 17:25 Chocohead Fixed in Version => Builds for MC 1.11.x
2017-05-21 17:25 Chocohead Resolution open => fixed
2017-05-21 17:25 Chocohead Assigned To => Chocohead
2017-05-22 01:53 JimmyZJX Note Added: 0005256
2017-05-22 01:55 JimmyZJX Note Added: 0005257